wxRuby Documentation Home

# Wx::GridEvent

This event class contains information about various grid events.

## Derived from

NotifyEvent

CommandEvent

Event

Object

## Event handling

gridevt.inc

## Methods

- GridEvent.new
- GridEvent#alt_down
- GridEvent#control_down
- GridEvent#get_col
- GridEvent#get_position
- GridEvent#get_row
- GridEvent#meta_down
- GridEvent#selecting
- GridEvent#shift_down

### GridEvent.new

GridEvent.new(%(arg-type)Integer% id, EventType type, Object obj, Integer row = -1, Integer col = -1, Integer x = -1, Integer y = -1, Boolean sel = true, Boolean control = false, Boolean shift = false, Boolean alt = false, Boolean meta = false)

#### Parameters

### GridEvent#alt_down

Boolean alt_down()

Returns true if the Alt key was down at the time of the event.

### GridEvent#control_down

Boolean control_down()

Returns true if the Control key was down at the time of the event.

### GridEvent#get_col

Integer get_col()

Column at which the event occurred.

### GridEvent#get_position

Point get_position()

Position in pixels at which the event occurred.

### GridEvent#get_row

Integer get_row()

Row at which the event occurred.

### GridEvent#meta_down

Boolean meta_down()

Returns true if the Meta key was down at the time of the event.

### GridEvent#selecting

Boolean selecting()

Returns true if the user deselected a cell, false if the user
deselected a cell.

### GridEvent#shift_down

Boolean shift_down()

Returns true if the Shift key was down at the time of the event.

[This page automatically generated from the Textile source at 2023-06-09 00:45:36 +0000]